/*
 * CiaoMondoGUIApp.java
 */

package ciaomondogui;
import model.Contatore;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class CiaoMondoGUIApp extends SingleFrameApplication {
    
    private CiaoMondoGUIView vista; //attributo per rendere disponibile l'oggetto di vista
    private Contatore conta;//il contatore
    /**
     * At startup create and show the main frame of the application.
     */
    @Override protected void startup() {
        vista=new CiaoMondoGUIView(this);
        show(vista);
        
        //istanza del contatore
        conta = new Contatore();
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of CiaoMondoGUIApp
     */
    public static CiaoMondoGUIApp getApplication() {
        return Application.getInstance(CiaoMondoGUIApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(CiaoMondoGUIApp.class, args);
    }
    /**
     * metodo eseguito a servizio dell'evento click sul bottone
     */
    public void incrementaEMostra(){
        //incrementa il contatore
        conta.inc();
        //mostra il nuovo valore
        vista.mostraValoreContatore(conta.tot());
    }
}
